
/**
 *  @file isa-l_crypto.h
 *  @brief Include for ISA-L_crypto library
 */

#ifndef _ISAL_CRYPTO_H_
#define _ISAL_CRYPTO_H_

#define ISAL_CRYPTO_MAJOR_VERSION 2
#define ISAL_CRYPTO_MINOR_VERSION 24
#define ISAL_CRYPTO_PATCH_VERSION 0
#define ISAL_CRYPTO_MAKE_VERSION(maj, min, patch)  ((maj) * 0x10000 + (min) * 0x100 + (patch))
#define ISAL_CRYPTO_VERSION ISAL_CRYPTO_MAKE_VERSION(ISAL_CRYPTO_MAJOR_VERSION, ISAL_CRYPTO_MINOR_VERSION, ISAL_CRYPTO_PATCH_VERSION)

#include <isa-l_crypto/aes_cbc.h>
#include <isa-l_crypto/aes_gcm.h>
#include <isa-l_crypto/aes_keyexp.h>
#include <isa-l_crypto/aes_xts.h>
#include <isa-l_crypto/md5_mb.h>
#include <isa-l_crypto/mh_sha1.h>
#include <isa-l_crypto/mh_sha1_murmur3_x64_128.h>
#include <isa-l_crypto/mh_sha256.h>
#include <isa-l_crypto/multi_buffer.h>
#include <isa-l_crypto/rolling_hashx.h>
#include <isa-l_crypto/sha1_mb.h>
#include <isa-l_crypto/sha256_mb.h>
#include <isa-l_crypto/sha512_mb.h>
#include <isa-l_crypto/sm3_mb.h>
#endif //_ISAL_CRYPTO_H_
